/**
 * V. Hunter Adams (vha3@cornell.edu)
 * PWM demo code with serial input
 *
 * This demonstration sets a PWM duty cycle to a
 * user-specified value.
 *
 * HARDWARE CONNECTIONS
 *   - GPIO 4 ---> PWM output
 *
 */

#include "laser.h"

// PWM wrap value and clock divide value
// For a CPU rate of 125 MHz, this gives
// a PWM frequency of 1 kHz.
// 20ms period = 125,000 cycles/s * .02s =  2500
#define WRAPVAL 25000
// 50Hz clk = 125MHz/1000 = 125kHz
#define CLKDIV 100.0f
// Variable to hold PWM slice number

// PWM duty cycle

// PWM interrupt service routine

// User input thread

void laser_init()
{
    uart_init(uart1,115200); 
    gpio_set_function(UART_TX, GPIO_FUNC_UART);
    gpio_set_function(UART_RX, GPIO_FUNC_UART);
}
void laser_read(int* distance){
    bool readingInt = 0;    
    if(uart_is_readable(uart1)){
        memset(buf, 0, sizeof buf);
        uart_read_blocking(uart1, buf, 40);
        if (strstr(buf, "Fail") != NULL)
            *distance = 10000;
        else
            sscanf(buf," , Range Valid\n\nd:  %d mm",distance);
    }
}
